import { jsx } from "react/jsx-runtime";
import { BeachBall as BeachBall$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const BeachBall = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "BeachBall", ...props, children: /* @__PURE__ */ jsx(BeachBall$1, { weight: variant }) });
  }
);
BeachBall.displayName = "BeachBall";
Object.assign(BeachBall, { isGdsIcon: true });
export {
  BeachBall
};
